
imu = importdata('imuMatrix.mat');
qualisys = importdata('qualisysMatrix.mat');

[~, N] = size(imu); 
[~, M] = size(qualisys); 
tau1 = zeros(1,N);
tau2 = zeros(1,N); 
j = 1;
h = 0.1; 
 
for i = 1:N-1
    
    tau1(j) = abs(imu(1,i+1)-imu(1,i))-h; 
    tau2(j) = abs(qualisys(1,i+1)-qualisys(1,i))-h; 
    j = j+1; 
    
    
end

figure()
plot(tau1);
hold on;
plot(tau2)
legend('Time delay imu','Time delay qualisys');
title('Delay on time stamps'); 

