
% Use MATLAB to find varince for constructed range measurements, based on
% known distribution of position measurements noise used to make them 

sigma_x = sqrt(2.727425e-08);
sigma_y = sqrt(2.584928e-08); 
sigma_z = sqrt(1.987803e-09);

x = normrnd(0,sigma_x,10e3,1);
y = normrnd(0,sigma_y,10e3,1);
z = normrnd(0,sigma_z,10e3,1);

range = sqrt((x).^2+ (y).^2+(z).^2);

pd  = fitdist(range_1, 'normal'); 
pd2 = fitdist(range_2, 'normal');  
pd3 = fitdist(range_3, 'normal'); 
pd4 = fitdist(range_4, 'normal'); 

range_dist = fitdist(range, 'normal'); 
