
% Calculate the root-mean-square (RMS) position estimation error

[~,N] = size(error1); 

rms_x1 = sqrt((1/N)*sum((error1(2,:)).^2)); 
rms_x2 = sqrt((1/N)*sum((error2(2,:)).^2));
rms_y1 = sqrt((1/N)*sum((error1(3,:)).^2)); 
rms_y2 = sqrt((1/N)*sum((error2(3,:)).^2)); 
rms_z1 = sqrt((1/N)*sum((error1(4,:)).^2)); 
rms_z2 = sqrt((1/N)*sum((error2(4,:)).^2));

p1 = 0; 
p2 = 0; 

for i = 1:N
    
    dp1 = (pos_est(1,i)-pos_n(1,i))^2+ (pos_est(2,i)-pos_n(2,i))^2 + (pos_est(3,i)-pos_n(3,i))^2;
    dp2 = (pos_est2(1,i)-pos_n(1,i))^2+ (pos_est2(2,i)-pos_n(2,i))^2 + (pos_est2(3,i)-pos_n(3,i))^2;
    p1 = p1 + dp1; 
    p2 = p2 + dp2; 
    
end

rmse1 = sqrt((1/N)*p1); 
rmse2 = sqrt((1/N)*p2); 
