% %% 2D PLOT
%states.estimated.eta(2,:) is the east; (substitute it with YOUR east log)
%states.estimated.eta(1,:) is the north; (..)
%states.estimated.eta(3,:) is the depth; (..)
%states.estimated.eta(6,:) is the heading;  (..)
%l ,b, h dimensions of your vehicle.

function [] = rov_plot(pos_est, att_n,N)
% states.estimated.eta = [N';E';H'];
states.estimated.eta = [pos_est(1,:);pos_est(2,:);att_n(3,:)];
start=1;
%stop=5867;
stop = N-1; 
%l = 80/10;               % length (m)
b = 17.4/10;
l = b*1.5; % breadth (m)
h = 0.8;                % height (m)
 
 
 
figure
hold on
 
%line([570130 570165],[7036880 7036865],'Color','r','LineWidth',2,'erasemode','xor','LineStyle','-.');
%line([570125 570160],[7036870 7036855],'Color','r','LineWidth',2,'erasemode','xor','LineStyle',':');
 
hold on
 
plot(states.estimated.eta(2,start:stop),states.estimated.eta(1,start:stop),'r')
%plot(states.estimated.eta(2,start:stop),states.estimated.eta(1,start:stop),'b',states.desired.eta(2,start:stop),states.desired.eta(1,start:stop),'g')
%for i = start:300:stop
for i = start:1000:stop
    
    Re  = [cos(states.estimated.eta(3,i)) -sin(states.estimated.eta(3,i)) 0; sin(states.estimated.eta(3,i)) cos(states.estimated.eta(3,i)) 0; 0 0 1];
   rov = Re*[l/2 0.9*l/2 0.5*l/2 -l/2 -l/2 0.5*l/2 0.9*l/2 l/2;
             0 b/2 b/2 b/2 -b/2 -b/2 -b/2 0;
             h/2 0.9*h/2 0.5*h/2 -h/2 -h/2 0.5*h/2 0.9*h/2 h/2];
        
    plot3(states.estimated.eta(2,i)+rov(2,:),states.estimated.eta(1,i)+rov(1,:),states.estimated.eta(3,i)+rov(3,:),'b');
 
end

axis equal
xlabel('East Position [m]')
ylabel('North Position [m]')
%title('Dead vessel drift')
%hleg=legend('Trajectory');
%set(hleg,'interpreter','latex')
legend('Trajectory', 'ROV'); 
grid on

end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5